============================================
Welcome to oslo.concurrency's documentation!
============================================

The `oslo`_ concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running
external processes.

.. toctree::
   :maxdepth: 1

   installation
   usage
   opts
   contributing

API Documentation
=================

.. toctree::
   :maxdepth: 1

   api/index

Release Notes
=============

.. toctree::
   :maxdepth: 1

   history

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`

.. _oslo: https://wiki.openstack.org/wiki/Oslo
